/*
   -   +  Gap
double iCustom(
   string symbol,       //    (NULL- )
   int timeframe,       // - (0- )
   "iRSI.G",            //   
   //
   int period,          //  RSI
   int applied_price,   //  :
                           // 0 - PRICE_CLOSE -   
                           // 1 - PRICE_OPEN -  
                           // 2 - PRICE_HIGH - .
                           // 3 - PRICE_LOW - .
                           // 4 - PRICE_MEDIAN -  ,(high+low)/2
                           // 5 - PRICE_TYPICAL -  ,(high+low+close)/3
                           // 6 - PRICE_WEIGHTED -   ,(high+low+close+close)/4
                           // 7 - 
   int GapPoints,       //     .
   //
   int mode,            // mode -    (0)
   int shift            // 
   ) 

==============

iCustom(NULL,0,"iRSI.G",RSIperiod,Price,GapPoints, 0,i);
*/

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_level1 30
#property indicator_level2 70
//  
extern int RSIperiod=14; //  RSI
extern int Price=0; //  
extern int GapPoints=0; //     .
 int GapHours=8; //      (>0)    (<0)
//  
double Ind[]; //  
double price[]; //   

void init() {
   //  
   string short_name="RSI("+RSIperiod+")";
   IndicatorShortName(short_name);   
   // 
   SetIndexBuffer(0,Ind); //  
   SetIndexLabel(0,short_name);
   SetIndexDrawBegin(0,RSIperiod);
   IndicatorBuffers(2); 
   SetIndexBuffer(1,price); //   
  }

void start() {
   //  
   int limit=Bars-IndicatorCounted()-1;  
   if(limit>1) limit=Bars-1; 
   //    
   for(int i=limit; i>=0; i--) price[i]=iCustom(NULL,0,"KillGap",GapPoints,GapHours,Price, 0,i); 
   //     price[]
   for(i=limit; i>=0; i--) Ind[i]=iRSIOnArray(price,Bars,RSIperiod,i);
  }

